Page 1 of 2 12 LastLast
Results 1 to 10 of 17

Thread: VlC 2.1.3 checkinstall failed

  1. #1
    Join Date
    Aug 2013
    Beans
    1,985

    VlC 2.1.3 checkinstall failed

    Hi,

    I am trying to compile VLC 2.1.3 from source on Ubuntu 13.10, It was compiled and builded without error (I tested the binary created after 'make' and it works well) But the last step
    "sudo checkinstall" failed with these errors.

    Code:
    /bin/mkdir -p '/usr/local/bin'
     /usr/bin/install -c cvlc rvlc qvlc svlc nvlc '/usr/local/bin'
    make  install-exec-hook
    make[4]: Entering directory `/home/mb/Downloads/vlc-2.1.3'
    if test "x86_64-unknown-linux-gnu" = "x86_64-unknown-linux-gnu"; then \
            PATH="/usr/local/bin:$PATH" \
            LD_LIBRARY_PATH="/usr/local/lib:$LD_LIBRARY_PATH" \
            "/usr/local/lib/vlc/vlc-cache-gen" \
                 "/usr/local/lib/vlc/plugins" ; \
        else \
            echo "Cross-compilation: cache generation skipped!" ; \
        fi
    /bin/bash: line 7: 21608 Segmentation fault      PATH="/usr/local/bin:$PATH" LD_LIBRARY_PATH="/usr/local/lib:$LD_LIBRARY_PATH" "/usr/local/lib/vlc/vlc-cache-gen" "/usr/local/lib/vlc/plugins"
    make[4]: *** [install-exec-hook] Error 139
    make[4]: Leaving directory `/home/mb/Downloads/vlc-2.1.3'
    make[3]: *** [install-exec-am] Error 2
    make[3]: Leaving directory `/home/mb/Downloads/vlc-2.1.3'
    make[2]: *** [install-am] Error 2
    make[2]: Leaving directory `/home/mb/Downloads/vlc-2.1.3'
    make[1]: *** [install-recursive] Error 1
    make[1]: Leaving directory `/home/mb/Downloads/vlc-2.1.3'
    make: *** [install] Error 2
    
    ****  Installation failed. Aborting package creation.
    I have done this many times before (with VLC up to 2.1.2) and never had a problem. Not sure what went wrong this time.

    Please help.
    Last edited by monkeybrain20122; February 10th, 2014 at 01:40 AM.

  2. #2
    Join Date
    Dec 2006
    Beans
    6,923

    Re: VlC 2.1.3 checkinstall failed

    Interesting to see the full ./configure & checkinstall syntax?
    You think that's air you're breathing now?

  3. #3
    Join Date
    Aug 2013
    Beans
    1,985

    Re: VlC 2.1.3 checkinstall failed

    The commands are just
    ./configure
    and I let vlc to figure out what options to enable (usually I just check the configure log if I need something which is not enabled, then just install the appropriate -dev files. it is built as shared library and install to /usr/local)

    then just make and sudo checkinstall (I only changed to documentation, --line 1,-- from "package created by checkinstall1.6.2" to "multimedia player and streamer", everything else just as is)

    So make install (or checkinstall?) failed. But the binary is built in my home and it works.

  4. #4
    Join Date
    Dec 2006
    Beans
    6,923

    Re: VlC 2.1.3 checkinstall failed

    Perhaps try the checkinstall line I have used successfully for vlc-git:

    Code:
    sudo checkinstall --pakdir "$HOME/Desktop --backup=no --deldoc=yes \
                      --pkgname vlc --pkgversion "2.1.3" \
                      --fstrans=no --deldesc=yes --delspec=yes --default
    and modified slightly for your compile.
    You think that's air you're breathing now?

  5. #5
    Join Date
    Aug 2013
    Beans
    1,985

    Re: VlC 2.1.3 checkinstall failed

    Hi,

    Thanks. I will try it after dinner. But IIRC I already fixed some of the options (fstrans=no, e.g) in /etc/checkinstallcr, so may be make install for some reason doesn't work (so a VLC issue instead of a checkinstall issue?)

  6. #6
    Join Date
    Dec 2006
    Beans
    6,923

    Re: VlC 2.1.3 checkinstall failed

    Could be, I am only compiling the current development version so I am not aware of any issues with the release version. But if you continue to have some issues I am more than happy to download the release version and compile it, I run a VM devoted entirely to building vlc so this would not be a huge drama and I could have a closer look at the install process... I will try after lunch
    You think that's air you're breathing now?

  7. #7
    Join Date
    Dec 2006
    Beans
    6,923

    Re: VlC 2.1.3 checkinstall failed

    OK so I had a quick lunch . Installation ran perfectly here with no installation problems. If you are interested in following my guide:

    Howto: Compile the development version of vlc under the latest Ubuntu release
    http://ubuntuforums.org/showthread.php?t=2141949

    simply use the info below to compile the release version:

    Code:
    cd $HOME/vlc_build/ && \
    wget http://download.videolan.org/pub/videolan/vlc/2.1.3/vlc-2.1.3.tar.xz && \
    tar xvf vlc-2.1.3.tar.xz && cd vlc-2.1.3 && \
    CPPFLAGS="-I$HOME/vlc_build/vlcdeps/usr/include" \
    LDFLAGS="-L$HOME/vlc_build/vlcdeps/usr/lib" \
    PKG_CONFIG_PATH="$HOME/vlc_build/vlcdeps/usr/lib/pkgconfig" \
    ./configure --prefix=/usr/local  && \
    make -j 4 && \
    mkdir -vp doc-pak && cp -v AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS doc-pak && \
    sudo checkinstall --pakdir "$HOME/vlc_build" --backup=no --deldoc=yes --pkgname vlc \
                      --pkgversion "2.1.3" \
                      --fstrans=no --deldesc=yes --delspec=yes --default && \
    make distclean && sudo ldconfig
    which I may add into the guide when I return from 2 weeks away.

    Code:
    andrew@corinth:~$ cvlc --version | head -n 2
    VLC media player 2.1.3 Rincewind (revision 2.1.3-0-ge6a71cc)
    VLC version 2.1.3 Rincewind (2.1.3-0-ge6a71cc)
    Compiled by andrew on corinth (Feb 10 2014 12:44:40)
    andrew@corinth:~$
    But I am not sure at all as to what is going on with your installation I'm afraid......
    You think that's air you're breathing now?

  8. #8
    Join Date
    Aug 2013
    Beans
    1,985

    Re: VlC 2.1.3 checkinstall failed

    It is strange. I have another Ubuntu13.10 installed in an external hd and it works.

    Code:
    /bin/mkdir -p '/usr/local/bin'
     /usr/bin/install -c cvlc rvlc qvlc svlc nvlc '/usr/local/bin'
    make  install-exec-hook
    make[4]: Entering directory `/home/monkeybrain/vlc-2.1.3'
    if test "x86_64-unknown-linux-gnu" = "x86_64-unknown-linux-gnu"; then \
            PATH="/usr/local/bin:$PATH" \
            LD_LIBRARY_PATH="/usr/local/lib:$LD_LIBRARY_PATH" \
            "/usr/local/lib/vlc/vlc-cache-gen" \
                 "/usr/local/lib/vlc/plugins" ; \
        else \
            echo "Cross-compilation: cache generation skipped!" ; \
        fi
    make[4]: Leaving directory `/home/monkeybrain/vlc-2.1.3'
    make[3]: Nothing to be done for `install-data-am'.
    make[3]: Leaving directory `/home/monkeybrain/vlc-2.1.3'
    make[2]: Leaving directory `/home/monkeybrain/vlc-2.1.3'
    make[1]: Leaving directory `/home/monkeybrain/vlc-2.1.3'
    
    ======================== Installation successful ==========================
    Grab the .deb created in this installation and it installs perfectly in the original one..Not sure what the problem is... Hate it when this happens for it would be horrible to try to figure out where the problem is. Thanks for the time and effort.

    I did compile vlc from git before but always had some broken things (some formats don't play, volume control not working etc) so I have decided to stick with the release version as long as it is up to date and have all the features I want enabled (sadly not from any Ubuntu repo or ppa) The compiling is normally pretty easy.
    Last edited by monkeybrain20122; February 10th, 2014 at 03:33 AM.

  9. #9
    Join Date
    Dec 2006
    Beans
    6,923

    Re: VlC 2.1.3 checkinstall failed

    And thanks for getting me to have a look at the release version, it will be a nice addition to my guide, particularly if Trust does not ship with the latest vlc.
    You think that's air you're breathing now?

  10. #10
    Join Date
    Aug 2013
    Beans
    1,985

    Re: VlC 2.1.3 checkinstall failed

    Hi, since you are bringing this up, just want to call your attention to the fact that phononbackend-vlc needs to be rebuilt against the new vlc (whether it is from git or the released version higher than available in Ubuntu) When you switch to a newer version of Vlc phononbackend-vlc becomes uninstallable or it will be removed if already installed. In 13.10 it requires a higher version of libphonon as well. It happens to be available from ppa or you need to compile it too.
    Last edited by monkeybrain20122; February 10th, 2014 at 05:57 AM.

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •